Package com.orbbec.obsensor

## Class TimestampResetConfig

- java.lang.Object
- - com.orbbec.obsensor.TimestampResetConfig

    public class TimestampResetConfig
    extends java.lang.Object

The timestamp reset configuration of the device.

### Constructor Summary

Constructors
`TimestampResetConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getTimestampResetDelayUs()` The delay time of executing the timestamp reset function after receiving the command or signal in microseconds.
`boolean` `isEnable()` Whether to enable the timestamp reset function.
`boolean` `isTimestampResetSignalOutputEnable()` the timestamp reset signal output enable flag.
`void` `setEnable​(boolean enable)` Whether to enable the timestamp reset function.
`void` `setTimestampResetDelayUs​(int delayUs)` The delay time of executing the timestamp reset function after receiving the command or signal in microseconds.
`void` `setTimestampResetSignalOutputEnable​(boolean enable)` the timestamp reset signal output enable flag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimestampResetConfig

    public TimestampResetConfig()

### Method Detail

#### isEnable

    public boolean isEnable()

Whether to enable the timestamp reset function. If the timestamp reset function is enabled, the timer for calculating the timestamp for output frames will be reset to 0 when the timestamp reset command or timestamp reset signal is received, and one timestamp reset signal will be output via TIMER_SYNC_OUT pin on synchronization port by default. The timestamp reset signal is input via TIMER_SYNC_IN pin on the synchronization port. For some models, the timestamp reset function is always enabled and cannot be disabled.

Returns:
  Whether to enable the timestamp reset function.

#### setEnable

    public void setEnable​(boolean enable)

Whether to enable the timestamp reset function. If the timestamp reset function is enabled, the timer for calculating the timestamp for output frames will be reset to 0 when the timestamp reset command or timestamp reset signal is received, and one timestamp reset signal will be output via TIMER_SYNC_OUT pin on synchronization port by default. The timestamp reset signal is input via TIMER_SYNC_IN pin on the synchronization port. For some models, the timestamp reset function is always enabled and cannot be disabled.

Parameters:
  `enable` - Whether to enable the timestamp reset function.

#### getTimestampResetDelayUs

    public int getTimestampResetDelayUs()

The delay time of executing the timestamp reset function after receiving the command or signal in microseconds.

Returns:
  The delay time of executing the timestamp reset function after receiving the command or signal in microseconds.

#### setTimestampResetDelayUs

    public void setTimestampResetDelayUs​(int delayUs)

The delay time of executing the timestamp reset function after receiving the command or signal in microseconds.

Parameters:
  `delayUs` - delay time.

#### isTimestampResetSignalOutputEnable

    public boolean isTimestampResetSignalOutputEnable()

the timestamp reset signal output enable flag. For some models, the timestamp reset signal output is always enabled and cannot be disabled.

Returns:
  the timestamp reset signal output enable flag.

#### setTimestampResetSignalOutputEnable

    public void setTimestampResetSignalOutputEnable​(boolean enable)

the timestamp reset signal output enable flag. For some models, the timestamp reset signal output is always enabled and cannot be disabled.

Parameters:
  `enable` - the timestamp reset signal output enable flag.